Prices & Discounts

Get store price with discount for a migrolino product

This endpoint retrieves currently valid store price for a specified product. If the store price is not available, it uses a global migrolino product price as a fallback. It will also aggregate a discount if one is linked to the product and store.

get
https://api-qual.migros.ch/migrolino/products/prices/v1/sellingprices/stores/{storeId}/{productId}

Path Parameters

productIdstringrequired

The ID of the product.

Example:204002600400

storeIdstringrequired

The ID of the store.

Example:0034300

Response

application/json

Store price object

basePricenumber

BasePrice of the product (in CHF)

Example:0.44

discountobject

Discount contains the discount if one is linked to the product

Show Child Parameters
futureDiscountsobject

Discount contains the discount if one is linked to the product

Show Child Parameters
pricenumber

Price of the product (in CHF)

Example:8.7

productIdstring

ProductID is the identifier for the product

Example:189400000750

storeIdstring

StoreID is the identifier for the store

Example:4797993

get/migrolino/products/prices/v1/sellingprices/stores/{storeId}/{productId}
 
application/json

Submit migrolino franchisee price changes

Accepts franchisee price changes payload from SAP P45 system and persists it.

post
https://api-qual.migros.ch/migros/products/franchises/v1/migrolino/price

Response

text/plain

Irrelevant price changes provided.

string
post/migros/products/franchises/v1/migrolino/price
 
text/plain

Submit migrolino store price changes

Accepts store price changes payload from cirrus system, persists it and produces Kafka updates.

post
https://api-qual.migros.ch/migros/products/prices/v1/public/cirrus/store/changes

Response

text/plain

Price changes processed.

string
post/migros/products/prices/v1/public/cirrus/store/changes
 
text/plain

Import SMVM prices from PriceRepository

This endpoint offers the possibility for PriceRepository to send price updates.

post
https://api-qual.migros.ch/migros/products/prices/v1/smvmimport

Response

text/plain

Price successfully imported.

string
post/migros/products/prices/v1/smvmimport
 
text/plain

Discount

object

Represents discount data gathered from different sources.

advertisementTypeIdstring

AdvertisementTypeID describes how the discount should be visualized

Example:2

amountstring

Amount is relative or absolute reduction amount to the price (e.g. 20%, 4.0)

Example:30%

articleHintstring

ArticleHint is the additional information about the Discount and related Products

Example:Angebot gilt nur vom 24.1. bis 31.8.2023, solange Vorrat.

badgeobject

Badge for the Discount (e.g. 40%, 30% in PNG and SVG format)

Show Child Parameters
bossBBstring

bossBB is the area (bereich) code prefix for Boss number

Example:02

bossBWstring

bossBW is the world code prefix for Boss number

Example:04

campaignsarray[object]

Campaigns holds campaign data for a discount

Show Child Parameters
cumulusPointsobject

CumulusPoints one receives with this Discount

Show Child Parameters
descriptionstring

Description is a short text about the Discount (e.g. Alle Trauben im Offenverkauf)

Example:Duftkerze im Glas

disclaimerstring

Disclaimer contains text about exceptions, validity and special conditions

discountIdstringrequired

ID is the Discount identifier

Example:1042893

distributionChannelobject

DistributionChannel describes by which retailer this Discount is accepted (e.g. SM/VM for supermarkets, MR for Migros Restaurant, …)

Show Child Parameters
eventsarray[object]

Events holds event data for a discount

Show Child Parameters
hintstring

Hint is an example of a reduction in text form

imageobject

Image is the main image referring to the Discount in JPG format

Show Child Parameters
insteadOfstring

InsteadOf is used for specific use-cases, where we need another word for “statt”

isCollectiveboolean

Collective describes whether this Discount is applied to more than one product (e.g. alle Fondues)

Example:true

isHighPerformerboolean

HighPerformer describes whether this Discount has high importance due to high sales volume

Example:true

lastImportedDatestring(date-time)

LastImported is a timestamp of last processing of data

Example:2024-05-15T04:17:15.000973132+02:00

logoobject

Logo image related to this Discount (e.g. logo for “Migros Bio” or for “UTZ Certified”)

Show Child Parameters
minimumPiecesobject

MinimumPieces describes how many pieces must be bought for the Discount to apply

Show Child Parameters
originalPricenumber

OriginalPrice is the non-discounted price. This is based on discount reference product.

Example:11

pricenumber

Price is the discounted price. This is based on discount reference product price.

Example:5.5

priorityinteger

Priority tells us which Discount should be used if there are multiple Discounts active at the same time for the same product. The lower the number, the higher the priority.

Example:6

publicationDatestring(date-time)

PublicationDate describes when this Discount is allowed to be published to customers

Example:2022-12-25T00:00:00+01:00

reductionobject

Reduction contains information about the price reduction

Show Child Parameters
reductionTypeIdstring

ReductionTypeID tells us whether it’s a 01=relativ, 02=absolut, … reduction

Example:05

referenceProductIdstring

ReferenceProductID is the main Product which this Discount refers to (“Hauptwerbeartikel”)

Example:243140560000

regionstring

Region defines the regional context (e.g. national, gmzh, gmaa, gmlu, …)

Example:national

roleIdstring

RoleID holds further information regarding the “type” of a Discount (e.g. high-performer, weekend-promotion, liquidation)

Example:1000000008

roleLabelstring

RoleLabel is a descriptive string for the value in RoleID

Example:Sortimentskompetenz (SORT)

secondaryImageobject

SecondaryImage is the secondary image referring to the Discount

Show Child Parameters
secondaryLogoobject

SecondaryLogo image related to this Discount (e.g. logo for “BIO SUISSE” etc.)

Show Child Parameters
signetobject

Signet is the image related to Cumulus Discount (e.g. image for “20x Cumulus”)

Show Child Parameters
transparentobject

Transparent is the main image referring to the Discount in PNG format

Show Child Parameters
typestring

Type describes which type of discount we got (e.g. aktion, neuheit, …)

Example:aktion

typeIdstring

TypeID is the discount type identifier (e.g. 001, 005, …)

typeLabelstring

TypeLabel is the name for discount TypeID

Example:NUG Nimm X Artikel

validFromDatestring(date-time)

ValidFrom is the date when this Discount becomes valid/active

Example:2024-05-07T00:00:00+02:00

validToDatestring(date-time)

ValidTo is the date till this Discount is valid/active

Example:2024-05-13T23:59:59+02:00

Example